<?php

namespace App\Components\Client;

use App\Models\Client\Client;
use Livewire\Component;

class WipReview extends Component
{
    public Client $client;

    public function mount(Client $client): void
    {
        $this->client = $client;
    }

    public function getEntriesProperty()
    {
        return $this->client->wipEntries()
            ->with('user')
            ->latest('started_at')
            ->get();
    }

    public function render()
    {
        return view('components.client.wip-review');
    }
}